package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaTclsAelophyWarehouseOrderGetRequest struct {
	/*
	   查询入参对象     */
	WarehouseOrderGetRequest *domain.AlibabaTclsAelophyWarehouseOrderGetWarehouseOrderGetRequest `json:"warehouse_order_get_request" required:"true" `
}

func (s *AlibabaTclsAelophyWarehouseOrderGetRequest) SetWarehouseOrderGetRequest(v domain.AlibabaTclsAelophyWarehouseOrderGetWarehouseOrderGetRequest) *AlibabaTclsAelophyWarehouseOrderGetRequest {
	s.WarehouseOrderGetRequest = &v
	return s
}

func (req *AlibabaTclsAelophyWarehouseOrderGetRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.WarehouseOrderGetRequest != nil {
		paramMap["warehouse_order_get_request"] = util.ConvertStruct(*req.WarehouseOrderGetRequest)
	}
	return paramMap
}

func (req *AlibabaTclsAelophyWarehouseOrderGetRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
